    
    var geocoder;
    var map;
    var marker;
    
    var mapZoom = 15;


function initMap(lat, lng) {
        var latLng = new google.maps.LatLng(lat,lng) ;
        
        var mapOptions = {
          zoom: mapZoom,
          center: latLng,
          mapTypeId: google.maps.MapTypeId.ROADMAP
        }
        map = new google.maps.Map(document.getElementById("map-canvas"), mapOptions);
        
        marker = new google.maps.Marker({
            map: map,
            position: latLng
        });        
    }    
    
    function codeAddress() {
        jQuery('.invalid_geodata').hide();
        geocoder = new google.maps.Geocoder();
        var address = jQuery("#dhl_streetAddress").val()+', '+jQuery("#dhl_postalCode").val()+' '+jQuery("#dhl_addressLocality").val();
        geocoder.geocode( { 'address': address}, function(results, status) {
          if (status == google.maps.GeocoderStatus.OK) {
            var mapOptions = {
              zoom: mapZoom,
              center: results[0].geometry.location,
              mapTypeId: google.maps.MapTypeId.ROADMAP
            }
            if (!map)
                map = new google.maps.Map(document.getElementById("map-canvas"), mapOptions);
            else
                map.setCenter(results[0].geometry.location);
            if (marker)
                marker.setMap(null);
            marker = new google.maps.Marker({
                map: map,
                position: results[0].geometry.location
            });
            
            jQuery("#dhl_latitude").val(results[0].geometry.location.lat());
            jQuery("#dhl_longitude").val(results[0].geometry.location.lng());
            
          } else {
            jQuery('.invalid_geodata').show();
            jQuery("#dhl_latitude").val("");
            jQuery("#dhl_longitude").val("");
            if (marker) {
                marker.setMap(null);  
            }
          }
        });
    }
    
    jQuery(document).ready(function () {
        
        if ( jQuery('#dhl_latitude').val())
            initMap(jQuery('#dhl_latitude').val(),jQuery('#dhl_longitude').val());
        jQuery('#checkAddress').click(function() {
            codeAddress();
            return false;
        });
        

    });