<?php if (get_post_meta($post->ID,'_dhl_name',true)): ?>
<div class="dhl_location" itemscope itemtype="http://schema.org/LocalBusiness">
    <div class="dhl_info">   
        
        <?php if (get_post_meta($post->ID,'_dhl_name',true)): ?>
            <h2 class="dhl_name" itemprop="name" ><?php print get_post_meta($post->ID, '_dhl_name', true); ?></h2>
        <?php endif; ?>
        
        <?php if (get_post_meta($post->ID,'_dhl_streetAddress',true) || get_post_meta($post->ID,'_dhl_postalCode',true) || get_post_meta($post->ID,'_dhl_addressLocality',true) ): ?>
        <p class="dhl_address" itemprop="address" itemscope itemtype="http://schema.org/PostalAddress">
            <?php if (get_post_meta($post->ID,'_dhl_streetAddress',true)): ?><span class="dhl_streetAddress" itemprop="streetAddress"><?php print get_post_meta($post->ID,'_dhl_streetAddress',true) ?></span><br/><?php endif; ?>
            <?php if (get_post_meta($post->ID,'_dhl_postalCode',true)): ?><span class="dhl_postalCode" itemprop="postalCode"><?php print get_post_meta($post->ID,'_dhl_postalCode',true) ?></span><?php endif; if (get_post_meta($post->ID,'_dhl_addressLocality',true)): ?> <span  class="dhl_addressLocality" itemprop="addressLocality"><?php print get_post_meta($post->ID,'_dhl_addressLocality',true) ?></span><?php endif; ?>
        </p>  
        <?php endif; ?>
                                
        <?php if (get_post_meta($post->ID,'_dhl_telephone',true) && $this->settings->enable_telephone):?>
            <h2><?php _e('Phone', 'dh_localseo');?></h2>
            <p class="dhl_telephone tel" itemprop="telephone"><?php echo get_post_meta($post->ID,'_dhl_telephone',true);?></p>
        <?php endif; ?>
        
        <?php if (get_post_meta($post->ID,'_dhl_faxNumber',true) && $this->settings->enable_faxNumber):?>
            <h2><?php _e('Fax', 'dh_localseo');?></h2>
            <p class="dhl_faxNumber" itemprop="faxNumber"><?php echo get_post_meta($post->ID,'_dhl_faxNumber',true);?></p>        
        <?php endif; ?>  
        
        <?php if (get_post_meta($post->ID,'_dhl_email',true) && $this->settings->enable_email):?>
            <h2><?php _e('Email address', 'dh_localseo');?></h2>
            <p class="dhl_email" itemprop="email"><a href="mailto:<?php echo get_post_meta($post->ID,'_dhl_email',true);?>"><?php echo get_post_meta($post->ID,'_dhl_email',true);?></a></p>        
        <?php endif; ?>  
        
        <?php if (get_post_meta($post->ID,'_dhl_url',true) && $this->settings->enable_url):?>
            <h2><?php _e('Website', 'dh_localseo');?></h2>
            <p class="dhl_url" itemprop="url"><a href="<?php echo get_post_meta($post->ID,'_dhl_url',true);?>" target="_blank"><?php echo get_post_meta($post->ID,'_dhl_url',true);?></a></p>        
        <?php endif; ?>
        
        <?php if (get_post_meta($post->ID,'_dhl_description',true) && $this->settings->enable_description):?>
            <h2><?php _e('Description', 'dh_localseo');?></h2>
            <p class="dhl_description" itemprop="description"><?php echo nl2br(get_post_meta($post->ID,'_dhl_description',true));?></p>        
        <?php endif; ?>
        
        <?php if (get_post_meta($post->ID,'_dhl_openingHours',true) && $this->settings->enable_openingHours):?>
            <h2><?php _e('Opening hours', 'dh_localseo');?></h2>
            <?php print $this->openingHours(get_post_meta($post->ID,'_dhl_openingHours',true)); ?>
        <?php endif; ?>   
    </div>   
    <?php if (get_post_meta($post->ID,'_dhl_latitude',true) && get_post_meta($post->ID,'_dhl_longitude',true)): ?>
    <div class="dhl_geo" itemprop="geo" itemscope itemtype="http://schema.org/GeoCoordinates">
        <div id="map-canvas" class="dhl_map"></div>
        <a href="https://maps.google.com/maps?f=d&dirflg=d&daddr=<?php print str_replace(' ','+', get_post_meta($post->ID,'_dhl_streetAddress',true).', '.get_post_meta($post->ID,'_dhl_postalCode',true).' '.get_post_meta($post->ID,'_dhl_addressLocality',true));  ?>" target="_blank"><?php _e('» get directions on Google Maps', 'dh_localseo'); ?></a>
        <meta itemprop="latitude" content="<?php print get_post_meta($post->ID,'_dhl_latitude',true) ?>" />
        <meta itemprop="longitude" content="<?php print get_post_meta($post->ID,'_dhl_longitude',true) ?>" />
        <script>
            jQuery(document).ready(function(){
                initMap(<?php print get_post_meta($post->ID,'_dhl_latitude',true) ?>,<?php print get_post_meta($post->ID,'_dhl_longitude',true) ?>);
            });
        </script>            
    </div>    
    <?php endif; ?>
    <div style="clear: both; "></div>
</div>
<?php endif; ?>